0

I'm installing OPSMGR I have 2 x servers running WS2012R2 with Windows updates applied

SQL 2012 SP1 I've made sure the SQL collation is correct

I'm installing all roles apart from Reporting on the SCOM server. All of the Prerequisites have passed.

I can see the database is created in SQL but it doesn't go past "Operational Database Configuration" It hangs on "Importing System Library Management Pack"

Any help would be greatly appreciated

0

If you installed IIS after .NET 4.0 it will not register properly with IIS. If this happens it will hang your install during the System Management MP import and you will need to re-register .NET 4.0 with IIS by running the following command (open command prompt and select run as administrator):

%WINDIR%\Microsoft.NET\Framework64\v4.0.30319\aspnet_regiis.exe -r

Once it is successfully registered, you should be good to go!

  • Microsoft (R) ASP.NET RegIIS version 4.0.30319.33440 Administration utility to install and uninstall ASP.NET on the local machine. Copyright (C) Microsoft Corporation. All rights reserved. Start installing ASP.NET (4.0.30319.33440) and changing IIS configuration to use this version of ASP.NET. – Jaoibh Jun 4 '14 at 10:38
  • This option is not supported on this version of the operating system. Administrators should instead install/uninstall ASP.NET 4.5 with IIS8 using the "Turn Windows Features On/Off" dialog, the Server Manager management tool, or the dism.exe command line tool. For more details please see go.microsoft.com/fwlink/?LinkID=216771. Finished installing ASP.NET (4.0.30319.33440) and changing IIS configuration to use this version of ASP.NET. – Jaoibh Jun 4 '14 at 10:39
  • There doesn't seem to be any step by step guides to do this – Jaoibh Jun 4 '14 at 10:40
  • Unless this is as easy as it sounds and I just remove the feature and re-add it under server manager? – Jaoibh Jun 4 '14 at 10:43
  • You can try to remove the feature in server manager, reboot and thereafter attempt to re-add it again as pointed out in error message. Do let us know if it works.. – Ruchir Shastri Jun 4 '14 at 11:47
-1

I installed SQL CU9 and it fixed my problem

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.